﻿@page "{restaurantId:int?}"
@using OdeToFood.Core
@model ASP.Net_Core_Fundamentals.Pages.Restaurants.EditModel
@{
    ViewData["Title"] = "Edit";
}

<h2>Editing @Model.Restaurant.Name</h2>


<form method="post">

    <input type="hidden" asp-for="Restaurant.Id" />
    <div class="form-group">
        <label asp-for="Restaurant.Name"></label>
        <input asp-for="Restaurant.Name" class="form-control" />
        <span class="text-danger" asp-validation-for="Restaurant.Name"></span>
    </div>
    <div class="form-group">
        <label asp-for="Restaurant.Location"></label>
        <input asp-for="Restaurant.Location" class="form-control" />
        <span class="text-danger" asp-validation-for="Restaurant.Location"></span>
    </div>
    <div class="form-group">
        <label asp-for="Restaurant.Cuisine"></label>
        <select class="form-control" asp-for="Restaurant.Cuisine" asp-items="Model.Cuisines"></select>
        <span class="text-danger" asp-validation-for="Restaurant.Cuisine"></span>
    </div>
    <button type="submit" class="btn btn-primary">Save</button>
</form>

@section Scripts {
    <partial name="_ValidationScriptsPartial"/>
}
